List Staff Action Logs

Get staff action logs, which record actions that staff users take in the store's control panel. Results are filtered by a required time window of up to 90 days.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Store logs | read-only | store_logs_read_only | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

timestamp:minlongRequired
Start of the time window, as a Unix timestamp in seconds. Required.
timestamp:maxlongOptional

End of the time window, as a Unix timestamp in seconds. Defaults to the current time. Must not precede timestamp:min, and the window between the two must not exceed 90 days (7,776,000 seconds).

staff_usernamestringOptional
Filter results by the username of the staff user who performed the action.
service_namestringOptional
Filter results by the name of the service that recorded the action.
summarystringOptional
Filter results by the action summary.
ipaddressstringOptional
Filter results by the IP address from which the action was performed.
useridintegerOptional
Filter results by the ID of the staff user who performed the action.
limitintegerOptional<=200Defaults to 50
Query parameter that lets you return the number of results displayed per page.
pageintegerOptionalDefaults to 1
Query parameter that lets you specify the starting page in which results are returned.
sortenumOptional

The log key by which to sort results. This parameter is case-sensitive.

directionenumOptional

The direction in which to sort results. This parameter is case-sensitive.

Allowed values:

Response

The request completed successfully.
datalist of objectsOptional
metaobjectOptional

BigCommerce meta payload for collection-type responses.

Errors

403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error